CVE-2013-7459

critical
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Heap-based buffer overflow in the ALGnew function in block_templace.c in Python Cryptography Toolkit (aka pycrypto) allows remote attackers to execute arbitrary code as demonstrated by a crafted iv parameter to cryptmsg.py.

References

http://www.openwall.com/lists/oss-security/2016/12/27/8

http://www.securityfocus.com/bid/95122

https://bugzilla.redhat.com/show_bug.cgi?id=1409754

https://github.com/dlitz/pycrypto/commit/8dbe0dc3eea5c689d4f76b37b93fe216cf1f00d4

https://github.com/dlitz/pycrypto/issues/176

https://lists.fedoraproject.org/archives/list/[email protected]/message/C6BWNADPLKDBBQBUT3P75W7HAJCE7M3B/

https://lists.fedoraproject.org/archives/list/[email protected]/message/RJ37R2YLX56YZABFNAOWV4VTHTGYREAE/

https://pony7.fr/ctf:public:32c3:cryptmsg

https://security.gentoo.org/glsa/201702-14

Details

Source: MITRE

Published: 2017-02-15

Updated: 2017-07-01

Type: CWE-119

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Tenable Plugins

View all (17 total)

IDNameProductFamilySeverity
140944EulerOS Virtualization for ARM 64 3.0.6.0 : python-crypto (EulerOS-SA-2020-1996)NessusHuawei Local Security Checks
critical
131664EulerOS 2.0 SP2 : python-crypto (EulerOS-SA-2019-2511)NessusHuawei Local Security Checks
critical
121720Photon OS 1.0: Pycrypto PHSA-2017-0026NessusPhotonOS Local Security Checks
critical
121719Photon OS 1.0: Openjre PHSA-2017-0026NessusPhotonOS Local Security Checks
critical
121718Photon OS 1.0: Openjdk PHSA-2017-0026NessusPhotonOS Local Security Checks
critical
120005SUSE SLES12 Security Update : python-pycrypto (SUSE-SU-2017:2350-1)NessusSuSE Local Security Checks
critical
111875Photon OS 1.0: Openjdk / Openjre / Pycrypto / Python3 PHSA-2017-0026 (deprecated)NessusPhotonOS Local Security Checks
critical
110744EulerOS 2.0 SP3 : python-crypto (EulerOS-SA-2018-1168)NessusHuawei Local Security Checks
critical
102814Ubuntu 12.04 LTS : python-crypto vulnerability (USN-3199-3)NessusUbuntu Local Security Checks
critical
101259SUSE SLES11 Security Update : python-pycrypto (SUSE-SU-2017:1744-1)NessusSuSE Local Security Checks
critical
97553Amazon Linux AMI : python-crypto (ALAS-2017-801)NessusAmazon Linux Local Security Checks
critical
97301Ubuntu 14.04 LTS / 16.04 LTS / 16.10 : Python Crypto regression (USN-3199-2)NessusUbuntu Local Security Checks
critical
97257GLSA-201702-14 : PyCrypto: Remote execution of arbitrary codeNessusGentoo Local Security Checks
critical
97221Ubuntu 14.04 LTS / 16.04 LTS / 16.10 : Python Crypto vulnerability (USN-3199-1)NessusUbuntu Local Security Checks
critical
96892Fedora 25 : python-crypto (2017-7c569d396b)NessusFedora Local Security Checks
critical
96886Fedora 24 : python-crypto (2017-08207fe48b)NessusFedora Local Security Checks
critical
96552openSUSE Security Update : python-pycrypto (openSUSE-2017-86)NessusSuSE Local Security Checks
critical